Bug 182237 - graveman crashes on Rawhide
graveman crashes on Rawhide
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: graveman (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE6Target
  Show dependency treegraph
 
Reported: 2006-02-21 05:25 EST by Patrick von der Hagen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-01 14:22:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick von der Hagen 2006-02-21 05:25:32 EST
Description of problem:

I'm running Fedora Rawhide and installed graveman from fedora-extras-devel. When
starting, a window appears scanning for my devices. After the writer is found,
the application crashes.
Both my laptop and my desktop show this problem, so I don't believe it is
hardware-related.

I tried running both as user and root, so a permission problem seems to be
unlikely. SELinux is in "permissive mode".

Normally I wouldn't really care about problems in fedora-extra when testing
fedora-developmen, but since Core 5 Test 3 is available now and the
documentation points to graveman, I believe this problem deserves attention.

"9.5.2. CD and DVD Authoring and Burning

Tools are included in Fedora Core and Fedora Extras for easily mastering and
burning CDs and DVDs. Tools that can be used from the console include cdrecord,
readcd, mkisofs, and other typical Linux applications. For GNOME users, the
xcdroast package from Fedora Core and the graveman package from Fedora Extras
allow easy preparation of audio and data discs. For KDE users, the k3b package
provides a very robust tool for these tasks. "


Output when running graveman:
umount: /dev/hdc: not mounted
*** glibc detected *** graveman: free(): invalid pointer: 0x08e37590 ***
======= Backtrace: =========
/lib/libc.so.6[0xad5de8]
/lib/libc.so.6(__libc_free+0x79)[0xad92ed]
/usr/lib/libglib-2.0.so.0(g_free+0x31)[0x162581]
graveman[0x80731d3]
graveman[0x8054bcb]
graveman[0x805e671]
graveman[0x806b93c]
/lib/libc.so.6(__libc_start_main+0xdc)[0xa877a4]
graveman[0x804e7b1]
======= Memory map: ========
00111000-00134000 r-xp 00000000 03:05 197068     /lib/libm-2.3.90.so
00134000-00135000 r-xp 00022000 03:05 197068     /lib/libm-2.3.90.so
00135000-00136000 rwxp 00023000 03:05 197068     /lib/libm-2.3.90.so
00136000-001c7000 r-xp 00000000 03:05 1946002    /usr/lib/libglib-2.0.so.0.902.4
001c7000-001c8000 rwxp 00091000 03:05 1946002    /usr/lib/libglib-2.0.so.0.902.4
001c8000-001d7000 r-xp 00000000 03:05 1954870    /usr/lib/libXext.so.6.4.0
001d7000-001d8000 rwxp 0000e000 03:05 1954870    /usr/lib/libXext.so.6.4.0
001d8000-001ff000 r-xp 00000000 03:05 1955245   
/usr/lib/libpangoft2-1.0.so.0.1105.0
001ff000-00200000 rwxp 00027000 03:05 1955245   
/usr/lib/libpangoft2-1.0.so.0.1105.0
00200000-00227000 r-xp 00000000 03:05 1954865    /usr/lib/libpng12.so.0.1.2.8
00227000-00228000 rwxp 00026000 03:05 1954865    /usr/lib/libpng12.so.0.1.2.8
00228000-0022d000 r-xp 00000000 03:05 1954867    /usr/lib/libXdmcp.so.6.0.0
0022d000-0022e000 rwxp 00004000 03:05 1954867    /usr/lib/libXdmcp.so.6.0.0
00230000-00237000 r-xp 00000000 03:05 1954910    /usr/lib/libXi.so.6.0.0
00237000-00238000 rwxp 00007000 03:05 1954910    /usr/lib/libXi.so.6.0.0
0023a000-002c1000 r-xp 00000000 03:05 1954911    /usr/lib/libgdk-x11-2.0.so.0.800.12
002c1000-002c4000 rwxp 00087000 03:05 1954911    /usr/lib/libgdk-x11-2.0.so.0.800.12
002c6000-002de000 r-xp 00000000 03:05 1954128    /usr/lib/libglade-2.0.so.0.0.7
002de000-002df000 rwxp 00018000 03:05 1954128    /usr/lib/libglade-2.0.so.0.0.7
002df000-003d8000 r-xp 00000000 03:05 1954868    /usr/lib/libX11.so.6.2.0
003d8000-003dc000 rwxp 000f9000 03:05 1954868    /usr/lib/libX11.so.6.2.0
003dc000-003fd000 r-xp 00000000 03:05 1950585    /usr/lib/libjpeg.so.62.0.0
003fd000-003fe000 rwxp 00020000 03:05 1950585    /usr/lib/libjpeg.so.62.0.0
003fe000-0041d000 r-xp 00000000 03:05 197726     /lib/libexpat.so.0.5.0
0041d000-0041f000 rwxp 0001e000 03:05 197726     /lib/libexpat.so.0.5.0
0041f000-00423000 r-xp 00000000 03:05 2133269   
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-png.so
00423000-00424000 rwxp 00003000 03:05 2133269   
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-png.so
00424000-00426000 r-xp 00000000 03:05 2496393   
/usr/lib/pango/1.5.0/modules/pango-basic-fc.so
00426000-00427000 rwxp 00002000 03:05 2496393   
/usr/lib/pango/1.5.0/modules/pango-basic-fc.so
00441000-00449000 r-xp 00000000 03:05 1955243   
/usr/lib/libpangocairo-1.0.so.0.1105.0
00449000-0044a000 rwxp 00007000 03:05 1955243   
/usr/lib/libpangocairo-1.0.so.0.1105.0
00481000-00482000 r-xp 00481000 00:00 0          [vdso]
00482000-004ed000 r-xp 00000000 03:05 1954875    /usr/lib/libfreetype.so.6.3.8
004ed000-004f0000 rwxp 0006a000 03:05 1954875    /usr/lib/libfreetype.so.6.3.8
005cb000-005d0000 r-xp 00000000 03:05 1937168    /usr/lib/libogg.so.0.5.3
005d0000-005d1000 rwxp 00004000 03:05 1937168    /usr/lib/libogg.so.0.5.3
005f0000-0060a000 r-xp 00000000 03:05 1954912    /usr/lib/libatk-1.0.so.0.1112.0
0060a000-0060c000 rwxp 00019000 03:05 1954912    /usr/lib/libatk-1.0.so.0.1112.0
00654000-00685000 r-xp 00000000 03:05 1954844    /usr/lib/liblcms.so.1.0.15
00685000-00686000 rwxp 00030000 03:05 1954844    /usr/lib/liblcms.so.1.0.15
00686000-00689000 rwxp 00686000 00:00 0
0068b000-006f3000 r-xp 00000000 03:05 1954864    /usr/lib/libmng.so.1.0.0
006f3000-006f6000 rwxp 00067000 03:05 1954864    /usr/lib/libmng.so.1.0.0
00830000-0083f000 r-xp 00000000 03:05 2032320   
/usr/lib/gtk-2.0/2.4.0/engines/libclearlooks.so
0083f000-00840000 rwxp 0000f000 03:05 2032320   
/usr/lib/gtk-2.0/2.4.0/engines/libclearlooks.so
008a6000-008af000 r-xp 00000000 03:05 197075     /lib/libnss_files-2.3.90.so
008af000-008b0000 r-xp 00008000 03:05 197075     /lib/libnss_files-2.3.90.so
008b0000-008b1000 rwxp 00009000 03:05 197075     /lib/libnss_files-2.3.90.so
0093b000-0093c000 r-xp 00000000 03:05 426306     /usr/lib/gconv/ISO8859-1.so
0093c000-0093e000 rwxp 00000000 03:05 426306     /usr/lib/gconv/ISO8859-1.so
009ac000-009be000 r-xp 00000000 03:05 1943408    /usr/lib/libz.so.1.2.3
009be000-009bf000 rwxp 00011000 03:05 1943408    /usr/lib/libz.so.1.2.3
009c1000-009c3000 r-xp 00000000 03:05 1954866    /usr/lib/libXau.so.6.0.0
009c3000-009c4000 rwxp 00001000 03:05 1954866    /usr/lib/libXau.so.6.0.0
00a72000-00b95000 r-xp 00000000 03:05 196630     /lib/libc-2.3.90.so
00b95000-00b98000 r-xp 00122000 03:05 196630     /lib/libc-2.3.90.so
00b98000-00b99000 rwxp 00125000 03:05 196630     /lib/libc-2.3.90.so
00b99000-00b9c000 rwxp 00b99000 00:00 0
00bb0000-00bb8000 r-xp 00000000 03:05 1954869    /usr/lib/libXrender.so.1.3.0
00bb8000-00bb9000 rwxp 00007000 03:05 1954869    /usr/lib/libXrender.so.1.3.0
00bbb000-00bf3000 r-xp 00000000 03:05 1954876    /usr/lib/libfontconfig.so.1.0.4
00bf3000-00bf7000 rwxp 00037000 03:05 1954876    /usr/lib/libfontconfig.so.1.0.4
00bf7000-00bf8000 rwxp 00bf7000 00:00 0
00c05000-00c08000 r-xp 00000000 03:05 1954871    /usr/lib/libXrandr.so.2.0.0
00c08000-00c09000 rwxp 00002000 03:05 1954871    /usr/lib/libXrandr.so.2.0.0
00c0b000-00c1d000 r-xp 00000000 03:05 1954099    /usr/lib/libid3tag.so.0.3.0
00c1d000-00c1f000 rwxp 00011000 03:05 1954099    /usr/lib/libid3tag.so.0.3.0
00c27000-00c29000 r-xp 00000000 03:05 1954874    /usr/lib/libXinerama.so.1.0.0
00c29000-00c2a000 rwxp 00001000 03:05 1954874    /usr/lib/libXinerama.so.1.0.0
00c2c000-00c30000 r-xp 00000000 03:05 1954872    /usr/lib/libXfixes.so.3.0.0
00c30000-00c31000 rwxp 00003000 03:05 1954872    /usr/lib/libXfixes.so.3.0.0
00c33000-00c3c000 r-xp 00000000 03:05 1954873    /usr/lib/libXcursor.so.1.0.2
00c3c000-00c3d000 rwxp 00008000 03:05 1954873    /usr/lib/libXcursor.so.1.0.2
00c5a000-00c96000 r-xp 00000000 03:05 1955240    /usr/lib/libpango-1.0.so.0.1105.0
00c96000-00c98000 rwxp 0003b000 03:05 1955240    /usr/lib/libpango-1.0.so.0.1105.0
00d05000-00d45000 r-xp 00000000 03:05 1954898    /usr/lib/libgobject-2.0.so.0.902.4
00d45000-00d46000 rwxp 00040000 03:05 1954898    /usr/lib/libgobject-2.0.so.0.902.4
00d48000-00d4b000 r-xp 00000000 03:05 1954900    /usr/lib/libgmodule-2.0.so.0.902.4
00d4b000-00d4c000 rwxp 00002000 03:05 1954900    /usr/lib/libgmodule-2.0.so.0.902.4
00d67000-00db8000 r-xp 00000000 03:05 1954907    /usr/lib/libcairo.so.2.2.3
00db8000-00db9000 rwxp 00050000 03:05 1954907    /usr/lib/libcairo.so.2.2.3
00dbb000-00dd2000 r-xp 00000000 03:05 1942306   
/usr/lib/libgdk_pixbuf-2.0.so.0.800.12
00dd2000-00dd3000 rwxp 00016000 03:05 1942306   
/usr/lib/libgdk_pixbuf-2.0.so.0.800.12
00e40000-00e42000 r-xp 00000000 03:05 197066     /lib/libdl-2.3.90.so
00e42000-00e43000 r-xp 00001000 03:05 197066     /lib/libdl-2.3.90.so
00e43000-00e44000 rwxp 00002000 03:05 197066     /lib/libdl-2.3.90.so
00f4e000-00f59000 r-xp 00000000 03:05 196635     /lib/libgcc_s-4.1.0-20060219.so.1
00f59000-00f5a000 rwxp 0000a000 03:05 196635     /lib/libgcc_s-4.1.0-20060219.so.1
00f93000-00fac000 r-xp 00000000 03:05 196623     /lib/ld-2.3.90.so
00fac000-00fad000 r-xp 00018000 03:05 196623     /lib/ld-2.3.90.so
00fad000-00fae000 rwxp 00019000 03:05 196623     /lib/ld-2.3.90.so
0318a000-031a6000 r-xp 00000000 03:05 1949915    /usr/lib/libvorbis.so.0.3.1
031a6000-031b4000 rwxp 0001c000 03:05 1949915    /usr/lib/libvorbis.so.0.3.1
031b6000-034d3000 r-xp 00000000 03:05 1943377    /usr/lib/libgtk-x11-2.0.so.0.800.12
034d3000-034db000 rwxp 0031d000 03:05 1943377    /usr/lib/libgtk-x11-2.0.so.0.800.12
034db000-034de000 rwxp 034db000 00:00 0
04d9d000-04ec1000 r-xp 00000000 03:05 1954901    /usr/lib/libxml2.so.2.6.23
04ec1000-04ec9000 rwxp 00124000 03:05 1954901    /usr/lib/libxml2.so.2.6.23
04ec9000-04eca000 rwxp 04ec9000 00:00 0
08048000-0807e000 r-xp 00000000 03:05 1954187    /usr/bin/graveman
0807e000-08082000 rw-p 00035000 03:05 1954187    /usr/bin/graveman
08e1a000-08f35000 rw-p 08e1a000 00:00 0          [heap]
b4400000-b4421000 rw-p b4400000 00:00 0
b4421000-b4500000 ---p b4421000 00:00 0
b4580000-b45e0000 rw-s 00000000 00:07 2916380    /SYSV00000000 (deleted)
b45e0000-b4cfa000 r--p 00000000 03:05 2098818   
/usr/share/icons/hicolor/icon-theme.cache
b4cfa000-b66fd000 r--p 00000000 03:05 2561147   
/usr/share/icons/crystalsvg/icon-theme.cache
b66fd000-b7043000 r--p 00000000 03:05 2170298   
/usr/share/icons/gnome/icon-theme.cache
b7043000-b7d36000 r--p 00000000 03:05 2100955   
/usr/share/icons/Bluecurve/icon-theme.cache
b7d36000-b7d44000 r--p 00000000 03:05 2199627   
/usr/share/icons/Clearlooks/icon-theme.cache
b7d44000-b7d55000 r--p 00000000 03:05 2131340   
/usr/share/fonts/bitstream-vera/Vera.ttf
b7d55000-b7d5e000 r--s 00001000 03:05 2231096   
/var/cache/fontconfig/c974e4c60d201a21112df444ab73ef55.cache-2
b7d5e000-b7f5e000 r--p 00000000 03:05 1955241    /usr/lib/locale/locale-archive
b7f5e000-b7f67000 rw-p b7f5e000 00:00 0
b7f67000-b7f69000 r--s 00001000 03:05 2228571   
/var/cache/fontconfig/d0852e6107e29cf2370e29e932b671e8.cache-2
b7f69000-b7f74000 r--s 00001000 03:05 2231091   
/var/cache/fontconfig/ffbeb93d66ada2631f4f047962e1ab5b.cache-2
b7f74000-b7f77000 r--s 00001000 03:05 2231043   
/var/cache/fontconfig/0ff6f82dbf790ad053eeb7e60fb69f01.cache-2
b7f77000-b7f7e000 r--s 00000000 03:05 1998862    /usr/lib/gconv/gconv-modules.cache
b7f7e000-b7f7f000 rw-p b7f7e000 00:00 0
bfd69000-bfd7f000 rw-p bfd69000 00:00 0          [stack]
Aborted
Comment 1 Gérard Milmeister 2006-02-21 11:02:08 EST
This seems to be a double free error. This doesn't seem to have happened on
FC4, maybe the newer glibc has some additional tests. Unless it is a bug
in glibc itself (not probable), it is certainly a bug in graveman, and should
be reported upstream. Could you try and disable scanning for devices, and set
the device manually. You can also try and ignore the error by setting:

export MALLOC_CHECK_=1
Comment 2 Gérard Milmeister 2006-04-01 14:22:11 EST
I made a patch, that should eliminate the crash. However I am not
sure if there is a memory leak associated with. I file a bug upstream
about it.

Note You need to log in before you can comment on or make changes to this bug.